Package org.apache.cayenne.configuration.rop.client

# Class CayenneContextFactory

java.lang.Object
org.apache.cayenne.configuration.rop.client.CayenneContextFactory

All Implemented Interfaces:
  `ObjectContextFactory`

public class CayenneContextFactory extends Object implements ObjectContextFactory

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected DataChannel`
  `dataChannel`
  `protected Injector`
  `injector`
  `protected RuntimeProperties`
  `properties`
  `protected QueryCache`
  `queryCache`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CayenneContextFactory()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `ObjectContext`
  `createContext()`
  Creates an ObjectContext attached to a default DataChannel.
  `ObjectContext`
  `createContext(DataChannel parent)`
  Creates an ObjectContext attached to a provided channel.
  `protected org.apache.cayenne.CayenneContext`
  `newInstance(DataChannel parent, boolean changeEventsEnabled, boolean lifecycleEventsEnabled)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### dataChannel

    protected DataChannel dataChannel

  - ### properties

    protected RuntimeProperties properties

  - ### queryCache

    protected QueryCache queryCache

  - ### injector

    protected Injector injector

- ## Constructor Details

  - ### CayenneContextFactory

    public CayenneContextFactory()

- ## Method Details

  - ### createContext

    public ObjectContext createContext()
    Description copied from interface: `ObjectContextFactory`
    Creates an ObjectContext attached to a default DataChannel.
    Specified by:
      `createContext` in interface `ObjectContextFactory`

  - ### createContext

    public ObjectContext createContext(DataChannel parent)
    Description copied from interface: `ObjectContextFactory`
    Creates an ObjectContext attached to a provided channel. This is often used for nested context creation.
    Specified by:
      `createContext` in interface `ObjectContextFactory`

  - ### newInstance

    protected org.apache.cayenne.CayenneContext newInstance(DataChannel parent, boolean changeEventsEnabled, boolean lifecycleEventsEnabled)